<?php
// Define access rights

// userid is optional parameter, if not set, it's current user's id
$userid = optional_param('id', 0, PARAM_INT);
if(!$userid)
{
    $userid = $USER->id;
}

// courseid is required parameter
$courseid = required_param('courseid', PARAM_INT);

// Contexts
$sitecontext = get_context_instance(CONTEXT_SYSTEM);
$usercontext = get_context_instance(CONTEXT_USER, $userid);

// If invalid user context:- error
if(!$usercontext)
{
    error("Invalid User ID");
}

// If course id does not produce valid course object
if(!$course = get_record('course', 'id', $courseid))
{
    error("Invalid Course ID");
}

// If cannot find a valid context for this course
if(!$coursecontext = get_context_instance(CONTEXT_COURSE, $course->id))
{
    error("Invalid Course Context");
}

// Check if guest, and if so, tell them to bugger off
if (has_capability('moodle/legacy:guest', $sitecontext, NULL, false))
{
    error("You are logged in as Guest.");
}

// Access Variable
$access = array();
$access['admin'] = 0;
$access['editer'] = 0; # Editing Teacher

// Are we an admin?
if(has_capability('moodle/site:doanything', $sitecontext))
{ 
    $access['admin'] = 1 ;
}

// Are we an editing teacher on the course?
if (has_capability('block/my_files:view',$coursecontext))
{
    $access['editer'] = 1;
}

// If insufficient access - go away
if($access['admin'] == 0 && $access['editer'] == 0)
{
    error("You Do Not Have Sufficient Permissions To Access This");
}
?>