<?php
/*
 * List of files created for this block:
 * 
 * - blocks/my_files
 * - blocks/my_files/access_context.php
 * - blocks/my_files/block_my_files.php
 * - blocks/my_files/import.php
 * - blocks/my_files/db/
 * - blocks/my_files/db/access.php
 * - blocks/my_files/lang/
 * - blocks/my_files/lang/en_utf8/
 * - blocks/my_files/lang/en_utf8/block_my_files.php
 */

/**
 * My Files:-
 * 
 * Easily and quickly import files/folders from any course you have editing rights on
 * 
 * @author Conn Warwicker <connwarwicker@hotmail.co.uk>
 * @version 1.1
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU Public License, version 2
 */
class block_my_files extends block_base
{
    
    var $blockwww;
    
    /**
     * Initialise block, with title and version stamp
     */
    public function init()
    {
        global $CFG;
        $this->title = get_string('myfiles', 'block_my_files');
        $this->version = 2011111001; # 10th Nov 2011
        $this->blockwww = $CFG->wwwroot . '/blocks/my_files/';
    }
    
    /**
     * Return the content to be displayed in the block
     * @global object $CFG
     * @global object $USER
     * @return object 
     */
    public function get_content()
    {
        global $CFG,$USER;
        
        $courseid = $this->instance->pageid;
                
        $this->content->text = '';
        
        // Check Permissions Before Displaying Anything
        
        
        // Access Variable
        $access = array();
        $access['admin'] = 0;
        $access['editer'] = 0; # Editing Teacher

        // Are we an admin?
        if(has_capability('moodle/site:doanything', get_context_instance(CONTEXT_SYSTEM)))
        { 
            $access['admin'] = 1 ;
        }

        // Are we an editing teacher on the course?
        if (has_capability('block/my_files:view',get_context_instance(CONTEXT_COURSE, $courseid)))
        {
            $access['editer'] = 1;
        }
        
        // Insufficient Access
        if($access['admin'] == 0 && $access['editer'] == 0)
        {
            $this->content->text = '';
            return $this->content;
        }
  
        $this->content->text .= '<div><ul class="list"><li><a href="'.$CFG->wwwroot.'/blocks/my_files/import.php?courseid='.$courseid.'"><img src="'.$this->blockwww.'folder_with_file.png" alt="My Files" title="Copy Files" /> Import My Files</a></li></ul></div>';
               
        $this->content->footer = '';
        
        return $this->content;
    }
}
?>
